<div class='feature-field-mapping'>
  {{#if this.isCustom}}
    <div class='form-floating mb-1'>
      <Input
        class='form-control input-group-name
          {{if this.hasInvalidGroupName 'is-invalid'}}'
        id='{{this.elementId}}-custom-group'
        placeholder={{capitalize (t 'group name')}}
        @value={{this.groupName}}
        {{on 'blur' this.handleBlur}}
      />
      <label for='{{this.elementId}}-custom-group'>{{capitalize
          (t 'group name')
        }}</label>
    </div>

    <div class='form-floating mb-2'>
      <Input
        class='form-control input-property-name
          {{if this.hasInvalidPropertyName 'is-invalid'}}'
        id='{{this.elementId}}-custom-property'
        placeholder={{capitalize (t 'property name')}}
        @value={{this.propertyName}}
        {{on 'blur' this.handleBlur}}
      />
      <label for='{{this.elementId}}-custom-property'>
        {{capitalize (t 'property name')}}
      </label>
    </div>
  {{else}}
    <Input::Select
      @list={{this.options}}
      @value={{this.value}}
      @onChange={{this.selectChanged}}
    />
  {{/if}}
  <div class='form-check form-switch mt-2'>
    <Input
      class='form-check-input'
      @type='checkbox'
      @checked={{this.isCustom}}
      id='{{this.elementId}}-custom-switch'
    />
    <label class='form-check-label' for='{{this.elementId}}-custom-switch'>{{t
        'is attribute'
      }}</label>
  </div>
</div>